commit:     d4250dc209c5a4e856a59a5ca9634a25cc32aa58
Author:     Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
AuthorDate: Tue Jun 21 09:43:05 2016 +0000
Commit:     Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
CommitDate: Tue Jun 21 09:43:05 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d4250dc2

www-servers/tomcat: version bump in slot 7

Package-Manager: portage-2.3.0_rc1

 www-servers/tomcat/Manifest                        |   1 +
 .../tomcat/files/tomcat-7.0.70-build.xml.patch     | 149 +++++++++++++++++++++
 www-servers/tomcat/tomcat-7.0.70.ebuild            | 145 ++++++++++++++++++++
 3 files changed, 295 insertions(+)

diff --git a/www-servers/tomcat/Manifest b/www-servers/tomcat/Manifest
index 4c677ff..cbdd234 100644
--- a/www-servers/tomcat/Manifest
+++ b/www-servers/tomcat/Manifest
@@ -1,6 +1,7 @@
 DIST apache-tomcat-7.0.67-src.tar.gz 4624303 SHA256 
0464ebbeec17fb15103cad9f6639edc826f4eca246dd58a5cb1c5d46aff58e0a SHA512 
dd299cab7a172860f51bae19e3490432af874b94825de289095647026a91b27cb3544ba85ab1f786bf4696dc59475ca85d051841ebaa221e3b46079e139a6e52
 WHIRLPOOL 
ae7ec13ffd3bd0964496060413924854c5b956dc88b8d0f1de4ac094e8fb5595ccfc7c2eaa7051f082c575253ed9fdadc8833f494281770f8f72b8c64d9b9593
 DIST apache-tomcat-7.0.68-src.tar.gz 4641238 SHA256 
abb5d2cc7e34a18f968ec2535bdeeae919c53fa7feffe4d617db95e12e94b210 SHA512 
dd97205044b03c6466c78bd165509ed9cd37c4d84de34c2170e67c475b28b72bfeda512f14f583c9983c045888d4704cdf7ba7c434f1d4bad9022428b0a0de1c
 WHIRLPOOL 
594cdf5584ea49faebfbea174e67bf85e761365717d56762138d07186c595195df2899a94d897578d1d20201ed4706b51a4d8870d9a6a4ca74c2436ba4283a05
 DIST apache-tomcat-7.0.69-src.tar.gz 4653637 SHA256 
fd29dc7ecd4796a693fdd7fc568ef4fde91debfd22f50a8d7d1676c018cf330b SHA512 
14025071497dd3d1b601958297dcce5f4e4d2ec192ece3484fcdedfe0ca8d5e9a37941e8db857e90716c73484a2415c0aadc9334a292d8a15b5181dda23b05ce
 WHIRLPOOL 
1713fdfcffcc454d9b04cdd108b14cb49daf790f60a607fba22d828183f3f8c1c53d99a225da838d9cadbf5890d81789f0d1c5636ef30afb4e721d1bec4e9667
+DIST apache-tomcat-7.0.70-src.tar.gz 4661050 SHA256 
c15b193a2f3ed22d460fa135dd8719381bdddde0e59eb359c50d5a9c61868251 SHA512 
e7a6108d2c5c5e66ac9c8c55493445d6d8eaf9a3949006e0f3f445d8dbae5a1e8a0e99106545a9048434968c945616377f63af5351765ce340e2df35eb5f1ef1
 WHIRLPOOL 
42ddd71b768f205a981e50ed6daa5b7c0d2342f7bae901f996695224a749bae1973c2859988e6db24d7692f66b868ae2632976983655bde3fdec5efd3cf5126d
 DIST apache-tomcat-8.0.32-src.tar.gz 4957920 SHA256 
b8f7770ae947a0c0aed9b5a6f3e2ff18fd27a07f068cc6029f019b5d4c6de560 SHA512 
4c18b9ae77963d96ff59891564c4bc8f6aaba582776c319825e9b944dd8cf10747dfc5b3cbc9cfa2ff10f6d889b404902fecd6b49fdde7b3741f9ba90dc6221c
 WHIRLPOOL 
77be9ea10ffd2e606367d477ba13c717294fe49b65ecef6fdc910e53fa2d987f38a8b299c28a340ea7684a16feb6ca3bd0b5e662e3875af73f4735e1ff623a79
 DIST apache-tomcat-8.0.33-src.tar.gz 4969308 SHA256 
1a141b90111347640df57fe506d9da29ca959e44b5885795df603b621c2ccb4f SHA512 
f781c90dd0932082f0d9b154b634f147c909415ebf49242f047d29430e24e16086d392b982e16d13b4d5f848dc98fd6834c0768e1f9c60d99a35d7dad262265d
 WHIRLPOOL 
b1ca10a4c0ead57b75bade8f135eb943f4ca291bf85eae75d523b65e9538bd5b25a270a3f27c37d2c7ea6e1e847ed15e9fdcac923ceb8069282189976f9e8727
 DIST apache-tomcat-8.0.35-src.tar.gz 4980657 SHA256 
420036fde5e1bfe0a3d27299e355ee153b7c547d17c7b52fe4b15a1315d9c4e9 SHA512 
c56ba4339fc114cda9a784c7f37be99c82238bbe043f69a3bed2ec86a0bf60325af9105d74cfcffa144636fecc7f4730cee08eca3a22ed035dd5e3e483fa1742
 WHIRLPOOL 
38d2382eabe19be8b008eb8975ddf95e086b482eb58cb56f566cf4ec7c7628663260a550b611f4db57803e503ab6746aedaac279bff24868c5997eaee3514966

diff --git a/www-servers/tomcat/files/tomcat-7.0.70-build.xml.patch 
b/www-servers/tomcat/files/tomcat-7.0.70-build.xml.patch
new file mode 100644
index 0000000..481591f
--- /dev/null
+++ b/www-servers/tomcat/files/tomcat-7.0.70-build.xml.patch
@@ -0,0 +1,149 @@
+diff -Naur apache-tomcat-7.0.63-src.orig/build.xml 
apache-tomcat-7.0.63-src/build.xml
+--- apache-tomcat-7.0.63-src.orig/build.xml    2015-06-30 09:15:44.000000000 
+0100
++++ apache-tomcat-7.0.63-src/build.xml 2015-08-22 21:13:12.453038827 +0100
+@@ -660,12 +660,14 @@
+       </fileset>
+     </copy>
+     <!-- Copy JSP Schemas and DTDs to be packed into servlet-api.jar -->
++<!--
+     <copy todir="${tomcat.classes}/javax/servlet/resources" 
encoding="ISO-8859-1">
+       <fileset dir="${tomcat.classes}/javax/servlet/jsp/resources">
+         <include name="*" />
+         <exclude name="jspxml*" />
+       </fileset>
+     </copy>
++-->
+ 
+   </target>
+ 
+@@ -721,26 +723,32 @@
+       manifest="${tomcat.manifests}/annotations-api.jar.manifest" />
+ 
+     <!-- Servlet 3.0 Implementation JAR File -->
++<!--
+     <jarIt jarfile="${servlet-api.jar}"
+       filesDir="${tomcat.classes}"
+       filesId="files.servlet-api"
+       manifest="${tomcat.manifests}/servlet-api.jar.manifest"
+       notice="${tomcat.manifests}/servlet-api.jar.notice"
+       license="${tomcat.manifests}/servlet-api.jar.license" />
++-->
+ 
+     <!-- JSP 2.2 Implementation JAR File -->
++<!--
+     <jarIt jarfile="${jsp-api.jar}"
+       filesDir="${tomcat.classes}"
+       filesId="files.jsp-api"
+       manifest="${tomcat.manifests}/jsp-api.jar.manifest"
+       notice="${tomcat.manifests}/jsp-api.jar.notice"
+       license="${tomcat.manifests}/jsp-api.jar.license" />
++-->
+ 
+     <!-- JSP 2.2 EL Implementation JAR File -->
++<!--
+     <jarIt jarfile="${el-api.jar}"
+       filesDir="${tomcat.classes}"
+       filesId="files.el-api"
+       manifest="${tomcat.manifests}/el-api.jar.manifest" />
++-->
+ 
+     <!-- Bootstrap JAR File -->
+     <jarIt jarfile="${bootstrap.jar}"
+@@ -986,12 +994,14 @@
+   <target name="deploy" depends="package,build-docs,compile-webapp-examples"
+           description="Default. Builds a working Tomcat instance">
+ 
++<!--
+     <copy tofile="${tomcat.build}/bin/tomcat-native.tar.gz"
+             file="${tomcat-native.tar.gz}" />
+     <copy tofile="${tomcat.build}/bin/commons-daemon-native.tar.gz"
+             file="${commons-daemon.native.src.tgz}" />
+ 
+     <copy tofile="${tomcat.build}/bin/commons-daemon.jar" 
file="${commons-daemon.jar}" />
++-->
+ 
+     <!-- Copy scripts -->
+     <copy todir="${tomcat.build}/bin">
+@@ -1051,14 +1061,15 @@
+         <exclude name="${jdt.jar.filename}"/>
+       </fileset>
+     </delete>
++<!--
+     <copy file="${jdt.jar}" todir="${tomcat.build}/lib"/>
+-
++-->
+     <!-- Add sources for examples -->
+     <antcall target="examples-sources" />
+-
++<!--
+     <copy file="${tomcat-dbcp.jar}" todir="${tomcat.build}/lib"
+       failonerror="false"/>
+-
++-->
+     <!-- build the jdbc-pool jar and source jar-->
+     <echo message="Building Tomcat JDBC pool libraries"/>
+     <ant antfile="${tomcat.jdbc.dir}/build.xml" dir="${tomcat.jdbc.dir}"
+@@ -1681,7 +1692,7 @@
+ 
+   <target name="extras-webservices-prepare"
+           depends="extras-prepare"
+-          description="Prepare to build web services extras package">
++          description="Prepare to build web services extras package" 
unless="noget">
+ 
+     <antcall target="downloadfile">
+       <param name="sourcefile" value="${jaxrpc-lib.loc}"/>
+@@ -1886,6 +1897,7 @@
+     description="Create the Tomcat javadoc" >
+     <fail unless="java.7.home"
+           message="The java.7.home property must be set for javadoc build"/>
++<!--
+     <javadoc packagenames="javax.servlet.*"
+       excludepackagenames="javax.servlet.jsp.*"
+       sourcepath="${tomcat.dist}/src/java"
+@@ -1947,6 +1959,7 @@
+         <path location="${ant.core.lib}"/>
+       </classpath>
+     </javadoc>
++-->
+     <javadoc packagenames="javax.websocket.*"
+       sourcepath="${tomcat.dist}/src/java"
+       destdir="${tomcat.dist}/webapps/docs/websocketapi"
+@@ -1985,9 +1998,11 @@
+         <path refid="tomcat.webservices.classpath"/>
+         <path location="${ant.core.lib}"/>
+       </classpath>
++<!--
+       <link href="../servletapi"/>
+       <link href="../jspapi"/>
+       <link href="../elapi"/>
++-->
+       <link href="../websocketapi"/>
+       <link href="http://docs.oracle.com/javase/7/docs/api/"/>
+       <link 
href="http://commons.apache.org/proper/commons-io/javadocs/api-release/"/>
+@@ -2642,7 +2657,7 @@
+   </target>
+ 
+   <target name="download-compile"
+-          description="Download (and build) components necessary to compile" >
++          description="Download (and build) components necessary to compile" 
unless="noget">
+ 
+     <antcall target="downloadfile-2">
+       <param name="sourcefile.1" value="${tomcat-native.loc.1}"/>
+@@ -2699,7 +2714,7 @@
+   </target>
+ 
+   <target name="download-test-compile"
+-          description="Download additional components for the tests" >
++          description="Download additional components for the tests" 
unless="noget">
+ 
+     <antcall target="downloadfile">
+       <param name="sourcefile" value="${junit.loc}"/>
+@@ -2727,7 +2742,7 @@
+   </target>
+ 
+   <target name="download-dist"
+-          description="Download additional components for a distribution" >
++          description="Download additional components for a distribution" 
unless="noget">
+ 
+     <antcall target="downloadzip-2">
+       <param name="sourcefile.1" value="${tomcat-native.win.1}"/>

diff --git a/www-servers/tomcat/tomcat-7.0.70.ebuild 
b/www-servers/tomcat/tomcat-7.0.70.ebuild
new file mode 100644
index 0000000..268c291
--- /dev/null
+++ b/www-servers/tomcat/tomcat-7.0.70.ebuild
@@ -0,0 +1,145 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+JAVA_PKG_IUSE="doc source test"
+
+inherit eutils java-pkg-2 java-ant-2 prefix user
+
+MY_P="apache-${P}-src"
+
+DESCRIPTION="Tomcat Servlet-3.0/JSP-2.2 Container"
+HOMEPAGE="http://tomcat.apache.org/";
+SRC_URI="mirror://apache/${PN}/tomcat-7/v${PV}/src/${MY_P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="7"
+KEYWORDS="~amd64 ~ppc64 ~x86 ~x86-freebsd ~amd64-linux ~x86-linux ~x86-solaris"
+IUSE="extra-webapps websockets"
+
+RESTRICT="test" # can we run them on a production system?
+
+ECJ_SLOT="4.5"
+SAPI_SLOT="3.0"
+
+COMMON_DEP="dev-java/eclipse-ecj:${ECJ_SLOT}
+       dev-java/tomcat-servlet-api:${SAPI_SLOT}"
+RDEPEND="${COMMON_DEP}
+       websockets? ( >=virtual/jre-1.7 )
+       !websockets? ( >=virtual/jre-1.6 )
+       !<dev-java/tomcat-native-1.1.24"
+DEPEND="${COMMON_DEP}
+       websockets? ( >=virtual/jdk-1.7 )
+       !websockets? ( >=virtual/jdk-1.6 )
+       test? ( dev-java/ant-junit:0 )"
+
+S=${WORKDIR}/${MY_P}
+
+pkg_setup() {
+       java-pkg-2_pkg_setup
+       enewgroup tomcat 265
+       enewuser tomcat 265 -1 /dev/null tomcat
+}
+
+java_prepare() {
+       # Remove bundled servlet-api
+       rm -rv java/javax/{el,servlet} || die
+
+       java-pkg_clean
+
+       epatch "${FILESDIR}/${P}-build.xml.patch"
+
+       # For use of catalina.sh in netbeans
+       sed -i -e "/^# ----- Execute The Requested Command/ a\
+               CLASSPATH=\`java-config --classpath ${PN}-${SLOT}\`" \
+               bin/catalina.sh || die
+}
+
+JAVA_ANT_REWRITE_CLASSPATH="true"
+
+EANT_BUILD_TARGET="deploy"
+EANT_GENTOO_CLASSPATH="eclipse-ecj-${ECJ_SLOT},tomcat-servlet-api-${SAPI_SLOT}"
+EANT_GENTOO_CLASSPATH_EXTRA="${S}/output/classes"
+EANT_NEEDS_TOOLS="true"
+EANT_EXTRA_ARGS="-Dversion=${PV}-gentoo -Dversion.number=${PV} 
-Dcompile.debug=false"
+
+# revisions of the scripts
+IM_REV="-r1"
+INIT_REV="-r1"
+
+src_compile() {
+       use websockets && EANT_EXTRA_ARGS+=" -Djava.7.home=${JAVA_HOME}"
+       EANT_GENTOO_CLASSPATH_EXTRA+=":$(java-pkg_getjar --build-only ant-core 
ant.jar)"
+       java-pkg-2_src_compile
+}
+
+src_test() {
+       java-pkg-2_src_test
+}
+
+src_install() {
+       local dest="/usr/share/${PN}-${SLOT}"
+
+       java-pkg_jarinto "${dest}"/bin
+       java-pkg_dojar output/build/bin/*.jar
+       exeinto "${dest}"/bin
+       doexe output/build/bin/*.sh
+
+       java-pkg_jarinto "${dest}"/lib
+       java-pkg_dojar output/build/lib/*.jar
+
+       dodoc RELEASE-NOTES RUNNING.txt
+       use doc && java-pkg_dojavadoc output/dist/webapps/docs/api
+       use source && java-pkg_dosrc java/*
+
+       ### Webapps ###
+
+       insinto "${dest}"/webapps
+       doins -r output/build/webapps/{host-manager,manager,ROOT}
+       use extra-webapps && doins -r output/build/webapps/{docs,examples}
+
+       ### Config ###
+
+       # create "logs" directory in $CATALINA_BASE
+       # and set correct perms, see #458890
+       dodir "${dest}"/logs
+       fperms 0750 "${dest}"/logs
+
+       # replace the default pw with a random one, see #92281
+       local randpw=$(echo ${RANDOM}|md5sum|cut -c 1-15)
+       sed -i -e "s|SHUTDOWN|${randpw}|" output/build/conf/server.xml || die
+
+       # prepend gentoo.classpath to common.loader, see #453212
+       sed -i -e 's/^common\.loader=/\0${gentoo.classpath},/' 
output/build/conf/catalina.properties || die
+
+       insinto "${dest}"
+       doins -r output/build/conf
+
+       ### rc ###
+
+       cp 
"${FILESDIR}"/tomcat{.conf,${INIT_REV}.init,-instance-manager${IM_REV}.bash} 
"${T}" || die
+       eprefixify 
"${T}"/tomcat{.conf,${INIT_REV}.init,-instance-manager${IM_REV}.bash}
+       sed -i -e "s|@SLOT@|${SLOT}|g" 
"${T}"/tomcat{.conf,${INIT_REV}.init,-instance-manager${IM_REV}.bash} || die
+
+       insinto "${dest}"/gentoo
+       doins "${T}"/tomcat.conf
+       exeinto "${dest}"/gentoo
+       newexe "${T}"/tomcat${INIT_REV}.init tomcat.init
+       newexe "${T}"/tomcat-instance-manager${IM_REV}.bash 
tomcat-instance-manager.bash
+}
+
+pkg_postinst() {
+       elog "New ebuilds of Tomcat support running multiple instances. If you 
used prior version"
+       elog "of Tomcat (<7.0.32), you have to migrate your existing instance 
to work with new Tomcat."
+       elog "You can find more information at 
https://wiki.gentoo.org/wiki/Apache_Tomcat";
+
+       elog "To manage Tomcat instances, run:"
+       elog "  
${EPREFIX}/usr/share/${PN}-${SLOT}/gentoo/tomcat-instance-manager.bash --help"
+
+       ewarn "tomcat-dbcp.jar is not built at this time. Please fetch jar"
+       ewarn "from upstream binary if you need it. Gentoo Bug # 144276"
+
+#      einfo "Please read 
https://www.gentoo.org/proj/en/java/tomcat6-guide.xml for more information."
+}

Reply via email to